%define anolis_release 2
%global srcname productmd

Name:           python-%{srcname}
Version:        1.33
Release:        %{anolis_release}%{?dist}
Summary:        Library providing parsers for metadata related to OS installation

License:        LGPLv2+
URL:            https://pypi.org/project/productmd/
Source:         https://files.pythonhosted.org/packages/ca/7e/ec67a73894c80e17f51d10ed59019ee0bb7eb9b58bf35809916b700b062e/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Python library providing parsers for metadata related to composes\
and installation media.

%description %_description

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} ./setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitelib}/productmd/
%{python3_sitelib}/productmd-%{version}-py%{python3_version}.egg-info

%files doc
%doc AUTHORS

%changelog
* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.33-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.33-1
- init from upstream
